## org.eclipse.amp.amf.ide
Class AgentModelingPerspectiveFactory

    java.lang.Object
      org.eclipse.amp.amf.ide.AgentModelingPerspectiveFactory

All Implemented Interfaces:
  org.eclipse.ui.IPerspectiveFactory

    public class AgentModelingPerspectiveFactory

extends java.lang.Object
implements org.eclipse.ui.IPerspectiveFactory

Simple support for the AMF Agent Modeling perspective.

Author:
  Miles Parker

Constructor Summary
`AgentModelingPerspectiveFactory()`

Method Summary
`void` `createInitialLayout(org.eclipse.ui.IPageLayout layout)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgentModelingPerspectiveFactory

    public AgentModelingPerspectiveFactory()

Method Detail

### createInitialLayout

    public void createInitialLayout(org.eclipse.ui.IPageLayout layout)

  Specified by:
    `createInitialLayout` in interface `org.eclipse.ui.IPerspectiveFactory`